Updates payment rail status for an organization.
curl --request PATCH \
--url https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/disabled-payment-rails \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"disable": [
"<string>"
],
"enable": [
"<string>"
]
}
'import requests
url = "https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/disabled-payment-rails"
payload = {
"disable": ["<string>"],
"enable": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({disable: ['<string>'], enable: ['<string>']})
};
fetch('https://api.sandbox.tesouro.com/identity/v1/organizations/{organizationId}/disabled-payment-rails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"disabledPaymentRails": [
"<string>"
],
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Identity
Updates payment rail status for an organization.
Allows disabling or enabling payment rails (payment_rail:ach, payment_rail:fednow, payment_rail:rtp). Requires the org:write:all scope.
Token types: APP, USER | Required scopes: org:write:all
PATCH
/
identity
/
v1
/
organizations
/
{organizationId}
/
disabled-payment-rails
Updates payment rail status for an organization.
Authorizations
APPTokenUSERToken
Application (M2M) OAuth2 access token (client credentials).
Path Parameters
The organization ID.
Body
application/jsontext/jsonapplication/*+json
Cancellation token.
Payment rails to disable for the organization. Valid values are: "payment_rail:ach", "payment_rail:fednow", "payment_rail:rtp".
Payment rails to enable for the organization (remove from disabled list). Valid values are: "payment_rail:ach", "payment_rail:fednow", "payment_rail:rtp".
Was this page helpful?
Gets disabled payment rails for an organization.Enables an organization by clearing its deactivation timestamp.
⌘I